org.keycloak.federation.ldap.idm.model

## Class LDAPDn

- java.lang.Object
- - org.keycloak.federation.ldap.idm.model.LDAPDn

-     public class LDAPDn
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPDn()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFirst(String rdnName, String rdnValue)`
    `boolean` | `equals(Object obj)`
    `static LDAPDn` | `fromString(String dnString)`
    `String` | `getFirstRdn()`
    `String` | `getFirstRdnAttrName()`
    `String` | `getFirstRdnAttrValue()`
    `String` | `getParentDn()`
    `int` | `hashCode()`
    `boolean` | `isDescendantOf(LDAPDn expectedParentDn)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LDAPDn

          public LDAPDn()

  - ### Method Detail

    - #### fromString

          public static LDAPDn fromString(String dnString)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getFirstRdn

          public String getFirstRdn()

      Returns:
        string like "uid=joe" from the DN like "uid=joe,dc=something,dc=org"

    - #### getFirstRdnAttrName

          public String getFirstRdnAttrName()

      Returns:
        string attribute name like "uid" from the DN like "uid=joe,dc=something,dc=org"

    - #### getFirstRdnAttrValue

          public String getFirstRdnAttrValue()

      Returns:
        string attribute value like "joe" from the DN like "uid=joe,dc=something,dc=org"

    - #### getParentDn

          public String getParentDn()

      Returns:
        string like "dc=something,dc=org" from the DN like "uid=joe,dc=something,dc=org"

    - #### isDescendantOf

          public boolean isDescendantOf(LDAPDn expectedParentDn)

    - #### addFirst

          public void addFirst(String rdnName,
                               String rdnValue)

Copyright © 2016 JBoss by Red Hat. All rights reserved.